﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace IsSelectedTest
{
	class MainWindowChildrenViewModel : INotifyPropertyChanged
	{
		private string _stringData;

		public MainWindowChildrenViewModel(string stringData)
		{
			StringData = stringData;
		}
		public bool IsSelected { get; set; }
		public string StringData
		{
			get { return _stringData; }
			set
			{
				_stringData = value;
				if (PropertyChanged != null)
					PropertyChanged(this, new PropertyChangedEventArgs("IsSelected"));
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;
	}
}
